Get a formula rate tier
get
/crmRestApi/resources/11.13.18.05/subscriptionFormulaPlans/{FormulaPlanPuid}/child/formulaRates/{RateVariablePuid}/child/formulaRateTiers/{formulaRateTiersUniqID}
Request
Path Parameters
-
FormulaPlanPuid(required): string
The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
-
RateVariablePuid(required): string
The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
-
formulaRateTiersUniqID(required): string
This is the hash key of the attributes which make up the composite key for the Tier Headers VO resource and used to uniquely identify an instance of Tier Headers VO. The client should not generate the hash key value. Instead, the client should query on the Tier Headers VO collection resource in order to navigate to a specific instance of Tier Headers VO to get the hash key.
Query Parameters
-
dependency: string
This parameter specifies dependencies which are fields that are set before and rolled back after generating the response. Generally they are used to preview the effects of an attribute change. The fields specified in this parameter are always set in the resource instance in question. When a child resource collection is requested and the parameter is set, the fields will be set in the parent resource instance before generating the resource collection payload. The value of this query parameter is a set of dependency fields. Example: dependency=ProductId=2
Format: <attr1>=<val1>,<attr2>=<value2> -
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : subscriptionFormulaPlans-formulaRates-formulaRateTiers-item-response
Type:
Show Source
object-
ChargeDefinitionCode: string
Maximum Length:
120The code of the charge definition, if involved in negotiation. -
ChargeId: integer
(int64)
Identifier of the charge, if involved in negotiation.
-
CreatedBy: string
Read Only:
trueMaximum Length:64Indicates the user who created the row. -
CreationDate: string
(date-time)
Read Only:
trueThe date when the record was created. -
EntityId: integer
(int64)
Identifier of the entity to which the Tiered Pricing is related.
-
EntityTypeCode: string
Maximum Length:
60The type of entity to which this Tiered Pricing is related. It may be RATE_VARIABLE_ID or custom ones defined. -
formulaRateTierLines: array
Tier Lines VO
Title:
Tier Lines VOFormula rate tier lines define the individual tier ranges and calculation values within a formula rate tier. -
GraduatedCode: string
Title:
Apply Adjustment ToMaximum Length:30Tiered Pricing logic values are ALL_APPLICABLE_TIERS or HIGHEST_TIER. -
LastUpdateDate: string
(date-time)
Read Only:
trueThe date when the record was last updated. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64The user who updated the record last. -
LastUpdateLogin: string
Read Only:
trueMaximum Length:32The login of the user who last updated the record. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
RateVariablePuid: string
Read Only:
trueMaximum Length:120The unique identifier of the rate variable associated to this rate tier. -
SubscriptionProductId: integer
(int64)
Identifier of the subscription product, if involved in negotiation.
-
TieredHeaderId: integer
(int64)
Read Only:
trueThe unique identifier of tier headers.
Nested Schema : Tier Lines VO
Type:
arrayTitle:
Tier Lines VOFormula rate tier lines define the individual tier ranges and calculation values within a formula rate tier.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : subscriptionFormulaPlans-formulaRates-formulaRateTiers-formulaRateTierLines-item-response
Type:
Show Source
object-
CreatedBy: string
Read Only:
trueMaximum Length:64Indicates the user who created the row. -
CreationDate: string
(date-time)
Read Only:
trueThe date when the record was created. -
LastUpdateDate: string
(date-time)
Read Only:
trueThe date when the record was last updated. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64The user who updated the record last. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
MaximumValue: number
Title:
Less Than or Equal ToIndicates the maximum value for the tier line. -
MinimumValue: number
Title:
More ThanIndicates the minimum value for the tier line. -
TieredLineId: integer
(int64)
Read Only:
trueThe unique identifier of tier lines. -
TierValue: number
Title:
ValueIndicates the value used in conjunction with the Tier Definition.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Links
- formulaRateTierLines
-
Parameters:
- FormulaPlanPuid:
$request.path.FormulaPlanPuid - RateVariablePuid:
$request.path.RateVariablePuid - formulaRateTiersUniqID:
$request.path.formulaRateTiersUniqID
Formula rate tier lines define the individual tier ranges and calculation values within a formula rate tier. - FormulaPlanPuid: